AuthUser
Update the current user's username
PATCH
/auth/v1/users/current/usernameUpdates the authenticated user's username to the provided value.
Authorization
Bearer X-API-Key<token>
In: header
Request Body
requiredapplication/json{
"username": "string"
}username*string
Response Body
200application/json
OK
type: object
username?string
400application/json
Bad Request
type: object
code?integer
HTTP status code
details?string
Optional details about the error
error?string
Error message describing what went wrong
401application/json
Unauthorized
type: object
code?integer
HTTP status code
details?string
Optional details about the error
error?string
Error message describing what went wrong
409application/json
Conflict
type: object
code?integer
HTTP status code
details?string
Optional details about the error
error?string
Error message describing what went wrong
429application/json
Too Many Requests
type: object
code?integer
HTTP status code
details?string
Optional details about the error
error?string
Error message describing what went wrong
curl -X PATCH "https://api.rixl.com/auth/v1/users/current/username" \
-H "Content-Type: application/json" \
-d '{
"username": "string"
}'const body = JSON.stringify({
"username": "string"
})
fetch("https://api.rixl.com/auth/v1/users/current/username", {
method: "PATCH",
headers: {
"Content-Type": "application/json"
},
body
})package main
import (
"fmt"
"net/http"
"io/ioutil"
"strings"
)
func main() {
url := "https://api.rixl.com/auth/v1/users/current/username"
body := strings.NewReader(`{
"username": "string"
}`)
req, _ := http.NewRequest("PATCH", url, body)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "https://api.rixl.com/auth/v1/users/current/username"
body = """{
"username": "string"
}"""
response = requests.request("PATCH", url, data = body, headers = {
"Content-Type": "application/json"
})
print(response.text)import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.http.HttpResponse.BodyHandlers;
import java.time.Duration;
import java.net.http.HttpRequest.BodyPublishers;
var body = BodyPublishers.ofString("""{
"username": "string"
}""");
HttpClient client = HttpClient.newBuilder()
.connectTimeout(Duration.ofSeconds(10))
.build();
HttpRequest.Builder requestBuilder = HttpRequest.newBuilder()
.uri(URI.create("https://api.rixl.com/auth/v1/users/current/username"))
.header("Content-Type", "application/json")
.PATCH(body)
.build();
try {
HttpResponse<String> response = client.send(requestBuilder.build(), BodyHandlers.ofString());
System.out.println("Status code: " + response.statusCode());
System.out.println("Response body: " + response.body());
} catch (Exception e) {
e.printStackTrace();
}using System;
using System.Net.Http;
using System.Text;
var body = new StringContent("""
{
"username": "string"
}
""", Encoding.UTF8, "application/json");
var client = new HttpClient();
var response = await client.PatchAsync("https://api.rixl.com/auth/v1/users/current/username", body);
var responseBody = await response.Content.ReadAsStringAsync();OK
application/json
{
"username": "string"
}Bad Request
application/json
{
"code": 400,
"details": "The provided ID is not valid",
"error": "Bad Request"
}Unauthorized
application/json
{
"code": 401,
"details": "The provided ID is not valid",
"error": "Unauthorized"
}Conflict
application/json
{
"code": 409,
"details": "The provided ID is not valid",
"error": "Conflict"
}Too Many Requests
application/json
{
"code": 429,
"details": "The provided ID is not valid",
"error": "Too Many Requests"
}